List

Lists sessions with filtering, sorting, and pagination. Use org_scope to restrict to owned, shared, or both (default). | auth: api_key | authz: min_org_role=operator | () -> (SessionListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by
Allowed values:
sort_orderenumOptional

Sort order (asc or desc)

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstringOptional

Full-text search query

org_scopeenumOptional

Filter by org ownership: owned, shared, or owned_and_shared

Allowed values:
filter_terminatedbooleanOptional
Filter by terminated status
filter_publicbooleanOptional
Filter by public visibility
filter_device_idstringOptional
Filter by device ID
filter_off_chrt_reference_idstringOptionalformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Filter by off-CHRT reference ID (exact match)

filter_flight_numberstringOptional

Filter by flight number (exact match)

filter_fa_flight_idstringOptional

Filter by FlightAware flight ID (exact match)

filter_flight_loaded_statusstringOptional

Filter by flight loaded status (exact match)

filter_created_at_timestamp_gtedatetimeOptional

Filter by created_at_timestamp >= value

filter_created_at_timestamp_ltedatetimeOptional

Filter by created_at_timestamp <= value

filter_termination_scheduled_for_timestamp_gtedatetimeOptional

Filter by termination_scheduled_for_timestamp >= value

filter_termination_scheduled_for_timestamp_ltedatetimeOptional

Filter by termination_scheduled_for_timestamp <= value

filter_terminated_at_timestamp_gtedatetimeOptional

Filter by terminated_at_timestamp >= value

filter_terminated_at_timestamp_ltedatetimeOptional

Filter by terminated_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Sessions List V1request Unprocessable Entity Error